export const FieldTypes = [
  'text',
  'image',
  'number',
  'dropdown',
  'toggle',
] as const

export type FieldType = typeof FieldTypes[number]

export interface Image {
  src: string
  alt?: string
}

export interface Column {
  name: string
  type: FieldType
}

export type Columns = Column[]

export type Row = {
  _id: string
} & Record<string, string | any>

export interface Inventory {
  columns: Column[]
  rows: Row[]
}
